#!/bin/bash



# Create view class

echo "define(function(require) {
    var Backbone = require('backbone')
    var Mustache = require('mustache')
    var App = require('app')
    var tpl = require('text!templates/$1.mustache')

    require('backbone_marionette')

    return Backbone.Marionette.View.extend({
        template: tpl,
        render: function () {
            this.\$el.html(Mustache.render(this.template, {}))
        }
    })
})" >> public/js/views/"$2"View.js


# Create template file

echo "$2" >> public/js/templates/"$1".mustache


# Create less file

echo "" >> public/less/$1.less
echo "@import '$1';" >> public/less/styles.less



echo "public/js/views/$2View.js created
public/js/templates/$1.mustache created
public/less/$1.less created
public/less/styles.less updated

###################################################
To use this new class, copy and paste this shit:


var $2View = require('views/$2View')

new $2View()
"
